// app.js
App({
  onLaunch() {
    // 展示本地存储能力
    const logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)
    // 登录
    wx.login({
      success: res => {
        const { code: js_code } = res
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
        wx.request({
          url: `${this.globalData.publicUrl}/api/st/system/weixin/appAuth?js_code=` + js_code,
          method: "get",
          header: {
            'x-tenant': this.globalData.tenant
          },
          success: res => {
            const { errcode, data } = res.data
            if (errcode === 0) {
              this.globalData.userInfo = data;
            }
          },
          error: err => {
            wx.showToast({
              title: err.msg,
              icon: 'error'
            })
          }
        })
      }
    })
    //获取设备顶部窗口的高度（不同设备窗口高度不一样，根据这个来设置自定义导航栏的高度
    wx.getSystemInfo({
      success: (res) => {
        this.globalData.height = res.statusBarHeight
        this.globalData.windowHeight = res.windowHeight
      }
    })
  },
  globalData: {
    userInfo: null,
    height: 0,
    windowHeight: 0,
    publicUrl: 'http://192.168.1.19:9901',
    fileUrl: "http://broadcast.waityou24.cn",
    tenant: "test"
  }
})


